Bug 1242011 - Review Request: python-UcsSdk - Python SDK for Cisco UCS Manager
Summary: Review Request: python-UcsSdk - Python SDK for Cisco UCS Manager
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2015-07-10 15:41 UTC by Brian Demers
Modified: 2015-09-06 17:05 UTC (History)
10 users (show)

Fixed In Version: 0.8.2.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:10:43 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brian Demers 2015-07-10 15:41:05 UTC
Spec URL: https://github.com/CiscoSystems/UcsSdk-spec/blob/master/python-UcsSdk.spec
SRPM URL: https://github.com/CiscoSystems/UcsSdk-spec/releases/download/new-spec/python-UcsSdk-0.8.2.2-0.el7.centos.src.rpm
Description: Python development kit for Cisco UCS
Fedora Account System Username: bdemers


This lib is needed by a few Cisco Vendor drivers in OpenStack ( via RDO + openstack-packages )

Other Notes:
 This RPM does NOT include a LICENSE file in the source tarball, (it does exist in the source repo: https://github.com/CiscoUcs/UcsPythonSDK) but was not included in the tarball.
Open pull request to resolve this: 
https://github.com/CiscoUcs/UcsPythonSDK/pull/2

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10331243


This is my first Fedora package, so I need a sponsor.

I can usually be found on freenode @bdemers

Comment 1 Michael Schwendt 2015-07-12 14:39:19 UTC
Try pointing the fedora-review tool at this ticket: fedora-review -b 1242011
It evaluates the "Spec URL:" and "SRPM URL:" lines, downloads the latest
files and packages, performs local test-builds and many checks related to the packaging guidelines.

Comment 2 Steve Linabery 2015-07-13 20:28:28 UTC
I think maybe the submitter meant to use this for the Spec URL:
https://raw.githubusercontent.com/CiscoSystems/UcsSdk-spec/master/python-UcsSdk.spec

Note that if you add a new comment with new values for those fields, the fedora-review tool should pick up your change from the most recent comment.

Comment 4 Steve Linabery 2015-07-13 21:44:05 UTC
Try running the fedora-review tool as mentioned in Comment 1. When I do, I see, in review.txt, at least these problems:

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).

Also at least the Errors from rpmlint need to be cleared up (and probably the Warn, too).

Just trying to help you get this in shape for when someone actually picks up this review. I don't think that someone is me.

Comment 5 Alan Pevec 2015-07-14 07:44:48 UTC
Anyone in packagers group can do the formal review, sponsorship is separate.

Comment 6 Haïkel Guémar 2015-07-14 13:11:30 UTC
@Brian: could you do two informal reviews from the list below (avoid the ones in green) and link them back here ? 
http://fedoraproject.org/PackageReviewStatus/NEW.html

I'll take care of sponsorship process as soon as you do. I recommend using fedora-review for reviews.

For your package, I recommend few fixes:
* use versionned python macros
%{__python} => %{__python2} 
%{python_sitelib} => %{python2_sitelib}
* add changelog entries
* add missing license tag
* update to upstream 0.8.3 (which has now license file)

Comment 8 Ihar Hrachyshka 2015-07-28 12:14:40 UTC
Shouldn't release generally start from 1, not 0?

Comment 9 hguemar 2015-07-28 13:37:33 UTC
+1

I'd move the dos2unix one-liner in %setup too

Is there a reason not to ship 0.8.3 ? it's the latest one and it provides license file?

Comment 11 Haïkel Guémar 2015-07-31 13:51:59 UTC
Thanks Brian, you did a great job hence I sponsored you into the packager group.
Use your power for good, and never hesitate contacting me if you have any question
or need help.

As this package complies with Fedora packaging guidelines, I hereby approve
it into Fedora packages collection.
Please submit a SCM request as explained on the following wiki page.
https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)". Detailed output of licensecheck in
     /home/haikel/1242011-python-UcsSdk/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-UcsSdk-0.8.2.4-1.fc24.noarch.rpm
          python-UcsSdk-0.8.2.4-1.fc24.src.rpm
python-UcsSdk.src: E: specfile-error warning: bogus date in %changelog: Wed Jul 30 2015 Brian Demers <brdemers@cisco.com> 0.8.2.4-1
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-UcsSdk (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)



Provides
--------
python-UcsSdk:
    python-UcsSdk



Source checksums
----------------
https://pypi.python.org/packages/source/U/UcsSdk/UcsSdk-0.8.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : 2819b71eaf019903c40f54561192c83caa0f77682312fc0ab107313f263fe688
  CHECKSUM(SHA256) upstream package : 2819b71eaf019903c40f54561192c83caa0f77682312fc0ab107313f263fe688

Comment 12 Brian Demers 2015-08-01 15:59:54 UTC
New Package SCM Request
=======================
Package Name: python-UcsSdk
Short Description: Python development kit for Cisco UCS
Upstream URL: https://github.com/CiscoUcs/UcsPythonSDK
Owners: bdemers
Branches: f23 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2015-08-04 13:07:53 UTC
Git done (by process-git-requests).

Comment 14 Ihar Hrachyshka 2015-08-13 12:19:21 UTC
Was the initial package built for Fedora?

Comment 15 Brian Demers 2015-08-13 13:34:36 UTC
Ihar, there are branches for f23 and epel7

Comment 16 Alan Pevec 2015-08-18 11:04:51 UTC
Brian, you need to run fedpkg update in each f23 and epel7 branches to push the update. Set type=newpackage and bugs=1242011 and Bodhi will update status in this BZ.

Comment 17 Fedora Update System 2015-08-18 13:48:16 UTC
python-UcsSdk-0.8.2.4-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-UcsSdk-0.8.2.4-1.fc23

Comment 18 Fedora Update System 2015-08-18 13:49:53 UTC
python-UcsSdk-0.8.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-UcsSdk-0.8.2.4-1.el7

Comment 19 Fedora Update System 2015-08-18 16:58:24 UTC
python-UcsSdk-0.8.2.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 20 Brian Demers 2015-08-27 18:39:54 UTC
I pushed a new version python-UcsSdk-0.8.2.5-1.el7
and sent Mike Burns patch for the rhos repo

Comment 21 Fedora Update System 2015-08-28 06:19:59 UTC
python-UcsSdk-0.8.2.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-UcsSdk'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7810

Comment 22 Fedora Update System 2015-08-31 18:53:08 UTC
python-UcsSdk-0.8.2.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-UcsSdk'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14377

Comment 23 Fedora Update System 2015-09-06 01:10:39 UTC
python-UcsSdk-0.8.2.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-09-06 17:05:31 UTC
python-UcsSdk-0.8.2.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.